package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Description: 修改联系方式枚举
 * Author: zhangjing
 * Time: 2022/9/1 9:06
 * Classname: EModifyPhone
 * PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum EModifyPhone {

    /**
     * 1=修改联系方式
     */
    MODIFY_PHONE(1, "修改联系方式", 0, EnumsPrefixConstants.EMODIFY_PHONE + "1"),



    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;


    /**
     * 根据枚举值获取枚举
     *
     * @param value 枚举值
     * @return
     */
    public static EModifyPhone getEnumByValue(int value) {
        for (EModifyPhone eApproveStatus : EModifyPhone.values()) {
            if (eApproveStatus.getValue() == value) {
                return eApproveStatus;
            }
        }
        return null;
    }

}
